Skip to main content
GET
/
resources
/
weights
/
metrics
Get the metric weights
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/resources/weights/metrics \
  --header 'Authorization: Bearer <token>'
[
  {
    "metric_section_type": "brief_cash_flows_profile",
    "metric_type": "approximate_repayment_period",
    "value": 0.15
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Response

Successful Response

metric_section_type
enum<string>
required

The section or category of the metricfor calculating the total score

Available options:
brief_cash_flows_profile,
cash_strength,
debt_repayment_capacity_cushion,
fixed_assets_efficiency,
profitability,
production_offtake_indicator,
riskiness_of_net_operating_cash_flows,
short_term_liquidity_and_working_capital,
solvency,
sustenance_of_the_business_growth_thriving,
working_capital_operating_efficiency
metric_type
enum<string>
required

The type of the measured metric for calculating the total score

Available options:
approximate_repayment_period,
average_balance,
average_inventory_holding_days,
average_trade_payable_days,
average_trade_receivables_days,
cap_exp,
cash_flow_efficiency_1,
cash_flow_efficiency_2,
cash_flows_from_financing_activities,
cash_flows_from_investing_activities,
cash_flows_from_operating_activities,
cop,
cpltd_fcf_coverage,
current_ratio,
dscr,
ebit_margin,
ebitda_margin,
ending_balance,
financial_leverage,
fixed_assets_productivity_ratio,
fixed_assets_turnover_ratio,
free_cash_flow,
gross_profit_margin,
higher_financial_leverage_and_higher_operating_leverage,
inventory_turnover_ratio,
iscr,
margin_money_contribution_to_ace,
margin_money_contribution_to_nwc,
margin_money_contribution_to_tangible_fixed_assets,
margin_money_contribution_to_total_assets,
margin_money_in_nwc,
net_profit_margin,
net_working_capital_cycle,
operating_leverage,
quick_ratio,
roace,
short_term_debt_cpltd_to_free_cash_flow,
total_balance_sheet_leverage
value
number | null

Numeric value of the metric type, typically represented as a fraction or percentage

Example:

0.15